# Class MessageNotification

Provides methods to display any sort of messages, notifications, errors, etc. Requires Bootstrap library (both CSS and JS) to display the alerts properly.

#### Abstract

#### Hierarchy

- default
  - MessageNotification

- Defined in src/message/Notification.ts:46

#####
Index

### Constructors

constructor

### Methods

clear
error
info
notify
show
showMessage
success
warn

## Constructors

### constructor

- new MessageNotification(): MessageNotification

- Provides methods to display any sort of messages, notifications, errors, etc. Requires Bootstrap library (both CSS and JS) to display the alerts properly.

  #### Returns MessageNotification

  Overrides default.constructor

  - Defined in src/message/Notification.ts:62

## Methods

### clear

- clear(): void

- Clears all messages that are currently being shown.

  #### Returns void

  - Defined in src/message/Notification.ts:96

### error

- error(message): void

- Display the given error message or list of error messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

  Inherited from default.error

  - Defined in src/message/Message.ts:89

### info

- info(message): void

- Display the given info message or list of info messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

  Inherited from default.info

  - Defined in src/message/Message.ts:98

### notify

- notify(object): void

- Display the given message string or object or list of message strings or objects.

  #### Parameters

  - ##### object: string | string[] | Message | Message[]

    A message or list of messages as text or configuration objects.

  #### Returns void

  - Defined in src/message/Notification.ts:89

### show

- show(object): void

- Show disclaimer message string or object or list of disclame message strings or objects.

  #### Parameters

  - ##### object: string | Message | (string | Message)[]

    A message or list of messages as text or configuration objects.

  #### Returns void

  Inherited from default.show

  - Defined in src/message/Message.ts:79

### showMessage

- showMessage(message): void

- #### Parameters

  - ##### message: Message

    Message.

  #### Returns void

  Overrides ngeoMessageMessage.showMessage

  - Defined in src/message/Notification.ts:106

### success

- success(message): void

- Display the given success message or list of success messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

  Inherited from default.success

  - Defined in src/message/Message.ts:107

### warn

- warn(message): void

- Display the given warning message or list of warning messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

  Inherited from default.warn

  - Defined in src/message/Message.ts:116

Generated using TypeDoc